# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [0.1.0] - 2024-12-04

### Added
- add pull articles
- stuff
- upload cli plan
- update to newest build version
- with pull articles

### Fixed
- *(deps)* update all dependencies
- *(deps)* update rust crate tracing-subscriber to v0.3.19
- *(deps)* update rust crate tracing to v0.1.41
- *(deps)* update rust crate serde_json to v1.0.133
- *(deps)* update rust crate clap to v4.5.21
- *(deps)* update rust crate serde to v1.0.215
- *(deps)* update rust crate tokio to v1.41.1
- *(deps)* update rust crate serde to v1.0.214
- *(deps)* update rust crate serde to v1.0.213
- *(deps)* update rust crate tokio to v1.41.0
- *(deps)* update rust crate serde_json to v1.0.132
- *(deps)* update rust crate serde_json to v1.0.131
- *(deps)* update rust crate serde_json to v1.0.129
- *(deps)* update rust crate clap to v4.5.20
- *(deps)* update rust crate clap to v4.5.19
- *(deps)* update rust crate clap to v4.5.18
- *(deps)* update rust crate serde to v1.0.210
- *(deps)* update all dependencies
- *(deps)* update rust crate tokio to v1.40.0
- *(deps)* update rust crate serde to v1.0.209
- *(deps)* update rust crate serde_json to v1.0.127
- *(deps)* update rust crate serde_json to v1.0.126
- *(deps)* update all dependencies
- *(deps)* update rust crate serde to v1.0.208
- *(deps)* update rust crate toml to v0.8.13
- *(deps)* update rust crate serde to v1.0.203
- *(deps)* update rust crate serde to 1.0.202
- *(deps)* update all dependencies
- *(deps)* update rust crate serde to 1.0.200
- *(deps)* update rust crate serde to 1.0.199
- *(deps)* update rust crate serde to 1.0.198
- *(deps)* update rust crate serde_json to 1.0.116
- *(deps)* update all dependencies
- build

### Other
- Merge pull request 'fix(deps): update all dependencies' (#2) from renovate/all into main

Reviewed-on: https://git.front.kjuulh.io/kjuulh/pull-articles/pulls/2

- Merge branch 'main' into renovate/all

- Merge pull request 'Configure Renovate' (#1) from renovate/configure into main

Reviewed-on: https://git.front.kjuulh.io/kjuulh/pull-articles/pulls/1

- Add renovate.json

- initial

